Subject: bug#23902: 25.1.50; Strange warning on string-collate-equalp's docstring

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Jul 2016 18:28:25 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked] (Óscar Fuentes),
>   [email-masked]
> Date: Wed, 06 Jul 2016 17:08:25 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > As with any such notes in doc strings, we warn about popular mistakes
> > that people make frequently.  Trying to compare file names using this
> > function is such a mistake.  Any string that is actually a kind of
> > handle to a system object, for which the system itself uses binary
> > comparison, will do as an example of such a mistake, but doing that
> > with file names is a common enough example to warrant mentioning.
> 
> I also have trouble to understand.  How can I compare file names modulo
> collate-equality, if not with this function?

With string=, of course.  (Or, better yet, with file-equal-p, but
that's a different story.)

> But we are speaking about the docstring of `string-collate-equal-p'.  It
> is not clear here how it (as an equivalence predicate) could be useful
> for sorting at all.

If it is not useful, then the issue against which the note warns
doesn't exist, does it?